io.vertx.groovy.ext.stomp

## Class Destination_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.stomp.Destination_GroovyExtension

-     public class Destination_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Destination_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `ack(Destination j_receiver, StompServerConnection connection, Map<String,Object> frame)`
    `static Destination` | `dispatch(Destination j_receiver, StompServerConnection connection, Map<String,Object> frame)`
    `static boolean` | `nack(Destination j_receiver, StompServerConnection connection, Map<String,Object> frame)`
    `static Destination` | `subscribe(Destination j_receiver, StompServerConnection connection, Map<String,Object> frame)`
    `static boolean` | `unsubscribe(Destination j_receiver, StompServerConnection connection, Map<String,Object> frame)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Destination_GroovyExtension

          public Destination_GroovyExtension()

  - ### Method Detail

    - #### dispatch

          public static Destination dispatch(Destination j_receiver,
                                             StompServerConnection connection,
                                             Map<String,Object> frame)

    - #### subscribe

          public static Destination subscribe(Destination j_receiver,
                                              StompServerConnection connection,
                                              Map<String,Object> frame)

    - #### unsubscribe

          public static boolean unsubscribe(Destination j_receiver,
                                            StompServerConnection connection,
                                            Map<String,Object> frame)

    - #### ack

          public static boolean ack(Destination j_receiver,
                                    StompServerConnection connection,
                                    Map<String,Object> frame)

    - #### nack

          public static boolean nack(Destination j_receiver,
                                     StompServerConnection connection,
                                     Map<String,Object> frame)

Copyright © 2017. All rights reserved.